summaryrefslogtreecommitdiffstats
path: root/test/testerror.sh.in
diff options
context:
space:
mode:
authorQuincey Koziol <koziol@lbl.gov>2020-12-17 03:36:13 (GMT)
committerGitHub <noreply@github.com>2020-12-17 03:36:13 (GMT)
commit3f37f6648dcb868fdbd7f94658ad1cd965ae257c (patch)
treea922501d6c0bc59dcbf45e8b9b2b90028aca885b /test/testerror.sh.in
parent068136351c3d52d12c6dd55f5d4185b700e9b5c4 (diff)
downloadhdf5-3f37f6648dcb868fdbd7f94658ad1cd965ae257c.zip
hdf5-3f37f6648dcb868fdbd7f94658ad1cd965ae257c.tar.gz
hdf5-3f37f6648dcb868fdbd7f94658ad1cd965ae257c.tar.bz2
Fix datatype lookup in named datatype flush/refresh code and detect more core dumps in test scripts (#193)hdf5-1_13_0-rc3
* Detect coredumps, and avoid printing a warning when creating a directory that already exists * Retrieve the actual datatype object correctly, in the face of possible pass-through VOL connectors * Detect more core dumps, and tiny formatting cleanup * Revert error status checks for mirror VFD test script
Diffstat (limited to 'test/testerror.sh.in')
-rw-r--r--test/testerror.sh.in6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/testerror.sh.in b/test/testerror.sh.in
index b5ec853..e4c6339 100644
--- a/test/testerror.sh.in
+++ b/test/testerror.sh.in
@@ -64,6 +64,12 @@ TEST() {
# Skip the plugin for testing missing filter.
$ENVCMD $RUNSERIAL $TEST_ERR_BIN
) >$actual 2>$actual_err
+
+ # Check for core dump
+ if [ $? != 0 ]; then
+ nerrors=`expr $nerrors + 1`
+ fi
+
# Extract file name, line number, version and thread IDs because they may be different
sed -e 's/thread [0-9]*/thread (IDs)/' -e 's/: .*\.c /: (file name) /' \
-e 's/line [0-9]*/line (number)/' \